# Installation
> `npm install --save @types/sha256`

# Summary
This package contains type definitions for sha256 (https://github.com/cryptocoinjs/sha256).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/sha256.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/sha256/index.d.ts)
````ts
/// <reference types="node" />

type Message = string | Buffer | number[];

interface Sha256 {
    (message: Message, options?: { asString: true }): string;
    (message: Message, options: { asBytes: true }): number[];
}

interface Sha256WithX2 extends Sha256 {
    x2: Sha256;
}

declare const sha256: Sha256WithX2;

export = sha256;

export as namespace sha256;

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 15:11:36 GMT
 * Dependencies: [@types/node](https://npmjs.com/package/@types/node)

# Credits
These definitions were written by [Nathan Hardy](https://github.com/nhardy).
